summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Eugene Wissner <belka.ew@gmail.com>2015-09-30 07:55:11 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-09-30 07:55:11 +0700
commit078db85ff8ce38285f3e411a4fa3f0bb79ebb18e (patch)
treeff1e1ec18e1e33384039164ca8c1bf51848067f8 /development
parent222fe84a527343e25f7115e0ac6e93bd42a9a7b5 (diff)
downloadslackbuilds-078db85ff8ce38285f3e411a4fa3f0bb79ebb18e.tar.gz
slackbuilds-078db85ff8ce38285f3e411a4fa3f0bb79ebb18e.tar.xz
development/ioncube-loader: Updated for version 5.0.18.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/ioncube-loader/README3
-rw-r--r--development/ioncube-loader/doinst.sh14
-rw-r--r--development/ioncube-loader/ioncube-loader.SlackBuild81
-rw-r--r--development/ioncube-loader/ioncube-loader.info10
-rw-r--r--development/ioncube-loader/ioncube.ini2
-rw-r--r--development/ioncube-loader/ioncube64.ini2
-rw-r--r--development/ioncube-loader/slack-desc19
7 files changed, 131 insertions, 0 deletions
diff --git a/development/ioncube-loader/README b/development/ioncube-loader/README
new file mode 100644
index 0000000000..2f45a0f764
--- /dev/null
+++ b/development/ioncube-loader/README
@@ -0,0 +1,3 @@
+Using ionCube encoded and secured PHP files requires a file called
+the ionCube Loader to be installed on the web server and made
+available to PHP.
diff --git a/development/ioncube-loader/doinst.sh b/development/ioncube-loader/doinst.sh
new file mode 100644
index 0000000000..7dd6884f39
--- /dev/null
+++ b/development/ioncube-loader/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/php/20ioncube.ini.new
diff --git a/development/ioncube-loader/ioncube-loader.SlackBuild b/development/ioncube-loader/ioncube-loader.SlackBuild
new file mode 100644
index 0000000000..8ee5230a95
--- /dev/null
+++ b/development/ioncube-loader/ioncube-loader.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for "ioncube-loader".
+
+# Copyright 2015 Eugene Wissner <belka.ew@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ioncube-loader
+SRCNAM=ioncube
+VERSION=${VERSION:-5.0.18}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ TARGET="x86"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ TARGET="x86"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ TARGET="x86-64"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+rm -rf $TMP/$SRCNAM
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/ioncube_loaders_lin_$TARGET.tar.bz2
+cd $SRCNAM
+chown -R root:root .
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/php/extensions
+install -m 0755 ioncube_loader_lin_5.4_ts.so $PKG/usr/lib${LIBDIRSUFFIX}/php/extensions
+mkdir -p $PKG/etc/php
+cat $CWD/ioncube${LIBDIRSUFFIX}.ini > $PKG/etc/php/20ioncube.ini.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt README.txt USER-GUIDE.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/ioncube-loader/ioncube-loader.info b/development/ioncube-loader/ioncube-loader.info
new file mode 100644
index 0000000000..8bf373a198
--- /dev/null
+++ b/development/ioncube-loader/ioncube-loader.info
@@ -0,0 +1,10 @@
+PRGNAM="ioncube-loader"
+VERSION="5.0.18"
+HOMEPAGE="https://www.ioncube.com"
+DOWNLOAD="http://downloads3.ioncube.com/loader_downloads/ioncube_loaders_lin_x86.tar.bz2"
+MD5SUM="d6c19034730b5f4eb35b4f94e01cb93f"
+DOWNLOAD_x86_64="http://downloads3.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.tar.bz2"
+MD5SUM_x86_64="20329d3b324039892215e84c2ea6b0bc"
+REQUIRES=""
+MAINTAINER="Eugene Wissner"
+EMAIL="belka.ew@gmail.com"
diff --git a/development/ioncube-loader/ioncube.ini b/development/ioncube-loader/ioncube.ini
new file mode 100644
index 0000000000..01e6f7a5bb
--- /dev/null
+++ b/development/ioncube-loader/ioncube.ini
@@ -0,0 +1,2 @@
+zend_extension = /usr/lib/php/extensions/ioncube_loader_lin_5.4_ts.so
+ic24.enable = 0
diff --git a/development/ioncube-loader/ioncube64.ini b/development/ioncube-loader/ioncube64.ini
new file mode 100644
index 0000000000..17df3dd767
--- /dev/null
+++ b/development/ioncube-loader/ioncube64.ini
@@ -0,0 +1,2 @@
+zend_extension = /usr/lib64/php/extensions/ioncube_loader_lin_5.4_ts.so
+ic24.enable = 0
diff --git a/development/ioncube-loader/slack-desc b/development/ioncube-loader/slack-desc
new file mode 100644
index 0000000000..60a98f9f1f
--- /dev/null
+++ b/development/ioncube-loader/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ioncube-loader: ioncube-loader (Loader for ionCube Secured Files)
+ioncube-loader:
+ioncube-loader: Using ionCube encoded and secured PHP files requires a file called
+ioncube-loader: the ionCube Loader to be installed on the web server and made
+ioncube-loader: available to PHP.
+ioncube-loader:
+ioncube-loader: Homepage: https://www.ioncube.com/loaders.php
+ioncube-loader:
+ioncube-loader:
+ioncube-loader:
+ioncube-loader: